Summary: The zlib compression and decompression library.
Name: zlib
Version: 1.2.3
Release: 2tr
Group: Trustix Official
Source: http://www.gzip.org/zlib/zlib-%{version}.tar.bz2
Url: http://www.gzip.org/zlib/
License: BSD
Buildroot: /var/tmp/%{name}-root

%description
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  This version of the library supports only one compression method
(deflation), but other algorithms may be added later, which will have
the same stream interface.  The zlib library is used by many different
system programs.

%package devel
Summary: Header files and libraries for developing apps which will use zlib.
Group: Trustix Official
Requires: zlib

%description devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

Install the zlib-devel package if you want to develop applications that
will use the zlib library.

%prep
%setup -q

%build
# We do it all in install

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

./configure --shared --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS -fPIC -DUSE_MMAP"
make install prefix=$RPM_BUILD_ROOT/usr

./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS -DUSE_MMAP"
make install prefix=$RPM_BUILD_ROOT/usr

install -m644 zutil.h $RPM_BUILD_ROOT/usr/include/zutil.h
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man3
install -m644 zlib.3 $RPM_BUILD_ROOT/usr/share/man/man3

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
/usr/lib/libz.so.*

%files devel
%defattr(-,root,root,0755)
%doc README ChangeLog algorithm.txt
/usr/lib/*.so
/usr/include/*
/usr/lib/*.a
/usr/share/man/man3/zlib.3*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Jul 25 2005 Sateesh.P.S. <sateesh at comodo dot com> 1.2.3-1tr
- Vendor fixes for previous security fixes
- Security Fix: Eliminates potential vulnerability when decoding
  invalid compressed data
- Security Fix: Eliminates potential vulnerability when decoding
  specially crafted compressed data
- Bug Fix: Fixes a bug when decompressing dynamic blocks with no distance codes.
- Fixes crc check in gzread() after gzungetc()
- Does not return an error when using gzread() on an empty file

* Fri Jul 22 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.2.2-5tr
- Security Fix: Markus Oberhumer discovered a flaw in the way zlib handles 
  invalid input. This flaw can cause programs which use zlib to crash when
  opening an invalid file.
  
  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-1849.	
 
* Thu Jul 7 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.2.2-4tr
- Security Fix: This flaw is due to a buffer overflow error when 
  processing a malformed data stream, which could be exploited by 
  attackers to execute arbitrary code via a specially crafted compressed 
  stream embedded within network communication or an application file format.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-2096.

* Fri Feb 18 2005 Raghu <raghu at comodo dot com> 1.2.2-2tr
- New Upstream

* Wed Aug 25 2004 Oystein Viggen <oysteivi at trustix dot com> 1.2.1-4tr
- Fix DoS in inflate(), CAN-2004-0797

* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.1-1tr
- New upstream(!).

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.1.4-5tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.1.4-4em
- Rebuilt with glibc-2.3.2.

* Thu Feb 27 2003 Christian H. Toldnes <christht at trustix dot com> 1.1.4-3ct
- Added better %clean and %install section

* Tue Jul 11 2002 Nico Erfurth <masta at trustix dot org>
- Added LFS-Support

* Thu Mar 14 2002 Erlend Midttun <erlendbm at trustix dot com>
- Upgraded to 1.1.4 to fix double free security issue.

* Tue Jan 25 2000 Tore Olsen <toreo at trustix dot com>
- moved /usr/man to /usr/share/man for FHS compliance

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- link against glibc

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.1.3

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.2
- buildroot

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- added URL tag (down at the moment so it may not be correct)
- made zlib-devel require zlib

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
